Package org.postgresql.jdbc

# Class PgBlob

java.lang.Object
org.postgresql.jdbc.AbstractBlobClob
org.postgresql.jdbc.PgBlob

All Implemented Interfaces:
  `Blob`

public class PgBlob extends AbstractBlobClob implements Blob

## Field Summary

### Fields inherited from class org.postgresql.jdbc.AbstractBlobClob

`conn`

## Constructor Summary

Constructors
Constructor
Description
`PgBlob(BaseConnection conn, long oid)`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getBinaryStream(long pos, long length)`
`int`
`setBytes(long pos, byte[] bytes)`
`int`
`setBytes(long pos, byte[] bytes, int offset, int len)`

### Methods inherited from class org.postgresql.jdbc.AbstractBlobClob

`addSubLO, assertPosition, assertPosition, checkFreed, free, getBinaryStream, getBytes, getLo, length, position, position, setBinaryStream, truncate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Blob

`free, getBinaryStream, getBytes, length, position, position, setBinaryStream, truncate`

## Constructor Details

### PgBlob

public PgBlob(BaseConnection conn, long oid) throws SQLException

Throws:
  `SQLException`

## Method Details

### getBinaryStream

public InputStream getBinaryStream(long pos, long length) throws SQLException

Specified by:
  `getBinaryStream` in interface `Blob`
Throws:
  `SQLException`

### setBytes

public int setBytes(long pos, byte[] bytes) throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

### setBytes

public int setBytes(long pos, byte[] bytes, int offset, int len) throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`